Bug 1023752 - [RFE] add dwh and reports support for Centos el6 arch.
[RFE] add dwh and reports support for Centos el6 arch.
Product: oVirt
Classification: Community
Component: ovirt-engine-reports (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: 3.4.0
Assigned To: Sandro Bonazzola
Barak Dagan
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2013-10-27 12:15 EDT by Yaniv Lavi
Modified: 2014-03-31 11:05 EDT (History)
7 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-beta2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-31 11:05:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yaniv Lavi 2013-10-27 12:15:58 EDT
Description of problem:
Currently no upstream support for Centos el6 arch. The packaging for this should be added.

Version-Release number of selected component (if applicable):
Comment 2 Sandro Bonazzola 2014-01-16 07:45:28 EST
status update:
ovirt-engine-dwh has been migrated to otopi and is now built also for CentOS nightly.

jasperreports-server-5.5.0 porting to CentOS is under development.
ovirt-engine-reports migration to otopi is under development.
Comment 3 Yaniv Lavi 2014-02-04 11:29:36 EST
Can I move this to modified?

Comment 4 Sandro Bonazzola 2014-02-05 03:49:37 EST

has been updated for building also CentOS package.
ovirt-engine-reports will be available on CentOS on next nightly build.
Comment 5 Barak Dagan 2014-03-18 11:39:39 EDT
veried on 3.4.0-beta3:


It was installed successfully:

[ INFO  ] Deploying Jasper
[ INFO  ] Importing data into Jasper
[ INFO  ] Configuring Jasper Java resources
[ INFO  ] Configuring Jasper Database resources
[ INFO  ] Customizing Jasper
[ INFO  ] Customizing Jasper metadata
[ INFO  ] Generating post install configuration file '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf'
[ INFO  ] Stage: Transaction commit
[ INFO  ] Stage: Closing up
          --== SUMMARY ==--
[WARNING] Warning: Not enough memory is available on the host. Minimum requirement is 4096MB, and 16384MB is recommended.
          SSH fingerprint: 6B:A4:E7:C4:9C:77:3D:064:AF:F1:0A:8E:F7:C71
          Internal CA 99:14:AE:CA:00:5C:10:5A:A7:0C:93:6D:B1:A3:61:42:9B:B4:27:47
          Web access is enabled at:
          --== END OF SUMMARY ==--
[ INFO  ] Starting engine service
[ INFO  ] Restarting httpd
[ INFO  ] Starting dwh service
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20140313185037-setup.conf'
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20140313184021.log
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ INFO  ] Execution of setup completed successfully

[root@dhcp-1-105 yum.repos.d]# cat /etc/redhat-release
CentOS release 6.5 (Final)
Comment 6 Sandro Bonazzola 2014-03-31 11:05:22 EDT
This is an automated message: moving to Closed CURRENT_RELEASE since oVirt 3.4.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.